<template>
  <v-container>
    <v-row>
      <v-col xs="12" md="12">
        <p class="title">Integrations</p>
      </v-col>
    </v-row>
    <v-row>
        <v-col v-for="integration in integrations" :key="integration.name" xs="2" md="4">
            <v-card outlined min-height="280">
                <v-card-text>
                    <v-img :src="integration.logo" width="100"></v-img>
                    <p class="pt-4 mb-1 pb-0">{{integration.name}}</p>
                    <p class="body-2 pt-4 mb-1 pb-0">{{integration.text}}</p>
                    <component class="mt-2" :is="integration.integrationButton"/>
                </v-card-text>
            </v-card>
        </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapState } from 'vuex'
import ZOOM_LOGO from '@/assets/img/zoom-logo.png'
import STRIPE_LOGO from '@/assets/img/stripe-logo.png'
import ConnectZoom from './ConnectZoom'
import StripeConnect from './StripeConnectButton'

export default {
    name: 'FacilitatorDashboardInformation',
    components: {
      
    },
    data: () => ({
      integrations: [
        {name: 'zoom', logo: ZOOM_LOGO, text: 'Create online meetings in Zoom when circle are created.', integrationButton: ConnectZoom},
        {name: 'stripe', logo: STRIPE_LOGO, text: 'Allow clients to pay for a circle right from your circle Page, and capture your clients cards when they book.', integrationButton: StripeConnect}
      ]
    }),
    computed: {
        ...mapState('authentication', ['user']),
    }
}
</script>

<style scoped>
.border-right {
  background: linear-gradient(
    to right,
    transparent 0%,
    transparent calc(50% - 1px),
    #efefef calc(50% - 1px),
    transparent calc(50% + 0.81px),
    transparent 100%
  );
  width: 100%;
  height: 100%;
}
</style>
